Download it now!
Bug 126742 - writer: OLE object resized incorrectly
Summary: writer: OLE object resized incorrectly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (allotropia)
URL:
Whiteboard: target:7.0.0 target:6.4.3
Keywords:
Depends on:
Blocks: OLE-Objects
  Show dependency treegraph
 
Reported: 2019-08-07 06:34 UTC by Vasily Melenchuk (CIB)
Modified: 2020-03-16 17:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vasily Melenchuk (CIB) 2019-08-07 06:34:30 UTC
Description:
With given below test scenario height of OLE object is changing in an unexpected way.

Steps to Reproduce:
1. Create new calc doc with sample data (I've used a simple table with data 3x3), save it but do not close document.
2. Create new writer doc
3. Menu: Insert -> Object -> OLE object
4. Select "create from file" and select calc file saved on step 1.
5. Click option "Link to file"
6. Double click on inserted OLE object
7. Increase height of object
8. Click outside of OLE object to close editing
9. Double click on inserted object once again

Actual Results:
Opened object height is much more than expected and does not corresponds object height.

Expected Results:
During editing no unexpected height changes are visible.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Xisco Faulí 2019-11-21 12:33:31 UTC
Dear Vasily Melenchuk,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Are you still working on this issue ?
Comment 2 Vasily Melenchuk (CIB) 2019-11-21 14:54:32 UTC
Patch fixing this problem is in Gerrit https://gerrit.libreoffice.org/#/c/77002/
However it is crashing several unit tests
Comment 3 Commit Notification 2020-03-11 07:59:12 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c185263f45a556e6c695c766476e67fbd2ea3593

tdf#126742 Don't change visible area while retrieving it

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-03-16 17:28:26 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/67a52b17b51495a6112f42de7cb465d69f2bb139

tdf#126742 Don't change visible area while retrieving it

It will be available in 6.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.